CREATE OR REPLACE VIEW ADAM.VW_FCO_INTEGRADA_RT03 AS
SELECT compania,
       anio,
       mes,  
       sucursal,
       tipo_planilla,
       secuencia,
       '03' || ltrim(to_char(secuencia, '00000')) ||
       fn_fco_cod_super('AFP', cod_AFP) ||
       lpad(nit, 16, '0') || dv ||
       ltrim(to_char(suma_aportes, '0000000000')) ||
       ltrim(to_char(suma_voluntarios, '0000000000')) ||
       ltrim(to_char(suma_voluntarios_cia, '0000000000')) ||
       ltrim(to_char(suma_FSP_SOL, '0000000000')) ||
       ltrim(to_char(suma_FSP_SUB, '0000000000')) ||
       ltrim(to_char(dias_mora, '0000')) ||
       ltrim(to_char(int_mora_aportes, '0000000000')) ||
       ltrim(to_char(int_mora_FSP_SOL, '0000000000')) ||
       ltrim(to_char(int_mora_FSP_SUB, '0000000000')) ||
       ltrim(to_char(total_pagar, '0000000000')) ||
       ltrim(to_char(total_afiliados, '000000')) registro
  FROM fco_integrada_rt03
 WHERE 1 = 0;
